2011-01-12  Bernd Hufmann  <bhufmann@gmail.com> Fix for Bug 333606

	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java (.handleCompleted): Added time range verification
	(..run): Added conditional notification call  
	* src/org/eclipse/linuxtools/tmf/ui/widgets/TmfVirtualTable.java (handleTableKeyEvent): Added unconditional notification call 
	(notifyUpdatedSelection): Added parameter to method call 
	(setSelection): Change setting of members if selection is at the end of the trace

2010-12-15  Bernd Hufmann  <bhufmann@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java (populateCache): Added call to notifyUpdatedSelection 
	* src/org/eclipse/linuxtools/tmf/ui/widgets/TmfVirtualTable.java: Optimize table refresh

2010-12-15  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java: 
	* src/org/eclipse/linuxtools/tmf/ui/widgets/TmfVirtualTable.java: 

2010-11-25  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/widgets/TmfTimeStatesCtrl.java (drawItemDataBurst): Fixed the threading issue on the shared vector

2010-11-10  Francois Chouinard  <fchouinard@gmail.com>

    Suppress warning for non-externalized strings
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/widgets/TmfTimeStatesCtrl.java: 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/NewExperimentDialog.java: 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/ProjectView.java: 

2010-11-09  Francois Chouinard  <fchouinard@gmail.com>

    Externalized strings
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/Messages.java: New file.
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/messages.properties: New file.
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/Messages.java: New file.
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/messages.properties: New file.
	   * src/org/eclipse/linuxtools/tmf/ui/wizards/Messages.java: New file.
	   * src/org/eclipse/linuxtools/tmf/ui/wizards/messages.properties: New file.

    Suppress warning for non-externalized strings
	   * src/org/eclipse/linuxtools/tmf/ui/dialogs/ManageCustomParsersDialog.java (createDialogArea): 
	   * src/org/eclipse/linuxtools/tmf/ui/editors/TmfEditor.java (TmfEditor): 
	   * src/org/eclipse/linuxtools/tmf/ui/editors/TmfEventsEditor.java (init): 
	   * src/org/eclipse/linuxtools/tmf/ui/editors/TmfMultiPageEditorPart.java (TmfMultiPageEditorPart): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomEvent.java: 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomEventsTable.java (static initializer): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomParserProvider.java (getCategory): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTraceDefinition.java (formatTimeStamp): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtEvent.java (processGroups): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtTrace.java (seekLocation): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtTraceDefinition.java (CustomTxtTraceDefinition): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlEvent.java (parseInput): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlTrace.java (seekLocation): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlTraceDefinition.java (CustomXmlTraceDefinition): 
	   * src/org/eclipse/linuxtools/tmf/ui/parsers/ParserProviderManager.java (init): 
	   * src/org/eclipse/linuxtools/tmf/ui/TmfUiPlugin.java (PLUGIN_ID): 
	   * src/org/eclipse/linuxtools/tmf/ui/TmfUiPreferenceInitializer.java: 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java (TmfEventsTable): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/dialogs/TmfTimeFilterDialog.java (createColumns): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/TmfTimeAnalysisProvider.java (StateColor.StateColor): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/TmfTimeAnalysisViewer.java (getViewTypeStr): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/widgets/TimeScaleCtrl.java (paint): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/widgets/TmfTimeStatesCtrl.java (drawName): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/widgets/TmfTimeTipHandler.java (.fillValues): 
	   * src/org/eclipse/linuxtools/tmf/ui/viewers/timeAnalysis/widgets/Utils.java (static initializer): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/AddTraceWizard.java (init): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/AddTraceWizardPage.java (AddTraceWizardPage): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/ImportTraceWizard.java (ImportTraceWizard): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/NewExperimentDialog.java (validateFolderName): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/NewProjectWizard.java (NewProjectWizard): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RefreshHandler.java (execute): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameExperimentHandler.java (execute): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameProjectHandler.java (execute): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameTraceHandler.java (execute): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectParserContributionItem.java (getContributionItems): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectParserHandler.java (execute): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectLabelProvider.java (fOpenedProjectIcon): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectNode.java: 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/ProjectView.java (createLink): 
	   * src/org/eclipse/linuxtools/tmf/ui/views/project/TmfProjectNature.java: 
	   * src/org/eclipse/linuxtools/tmf/ui/views/TmfEventsView.java (TmfEventsView): 
	   * src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserInputWizardPage.java (CustomTxtParserInputWizardPage): 
	   * src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserOutputWizardPage.java (CustomTxtParserOutputWizardPage): 
	   * src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserInputWizardPage.java (CustomXmlParserInputWizardPage): 
	   * src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserOutputWizardPage.java (CustomXmlParserOutputWizardPage): 

2010-10-27  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java: Performance optimization

2010-10-15  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java: Small cleanup
	
2010-10-13  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/views/project/ProjectView.java: Added checks for disposed widget 
	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java: Added checks for disposed widget 

2010-09-12  francois  <francois@sushi>

	* src/org/eclipse/linuxtools/tmf/ui/widgets/TmfVirtualTable.java: Fixed table scrolling issues

2010-08-30  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomEventsTable.java (createColumnHeaders): Added dummy param to create array of correct type (ColumnData)
	* src/org/eclipse/linuxtools/tmf/ui/widgets/TmfVirtualTable.java: Fix for the calculation of the number of rows

2010-07-28  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/widgets/ColumnData.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/widgets/TmfVirtualTable.java: New file.
	* META-INF/MANIFEST.MF: Export org.eclipse.linuxtools.tmf.ui.widgets
	* src/org/eclipse/linuxtools/tmf/ui/editors/TmfEditorInput.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomEventsTable.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtTraceDefinition.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlTraceDefinition.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java: Replace Table by TmfVirtualTable
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/CloseProjectHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/DeleteExperimentHandler.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/DeleteProjectHandler.java : Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/DeleteTraceHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/ImportTraceHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/NewExperimentHandler.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/NewProjectHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/OpenExperimentHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/OpenProjectHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/OpenTraceHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RefreshHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameExperimentHandler.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameProjectHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameTraceHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectParserHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectTracesHandler.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserInputWizardPage.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserOutputWizardPage.java: Missing @Override 
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserWizard.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserInputWizardPage.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserOutputWizardPage.java: Missing @Override
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserWizard.java: Missing @Override

2010-07-20  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/editors/TmfEventsEditor.java 
		- Enable the dispose of trace when events table is disposed
	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java
		- Use static defaults for column data
		- Make optional the dispose of trace when table is disposed
		- Perform the seek on timestamp in a background job in TmfTimeSynchSignal handler
	* src/org/eclipse/linuxtools/tmf/ui/views/project/ProjectView.java
		- Fix tree item selection on mouse double-click 
	* src/org/eclipse/linuxtools/tmf/ui/views/TmfEventsView.java
		- Reduce default cache size to 100
		- Disable the dispose of trace when events table is disposed 
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserOutputWizardPage.java
		- Enable the dispose of trace when events table is disposed
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserOutputWizardPage.java 
		- Enable the dispose of trace when events table is disposed

2010-07-13  Francois Chouinard  <fchouinard@gmail.com>

	* src/org/eclipse/linuxtools/tmf/ui/viewers/events/TmfEventsTable.java: Changed visibility of 2 methods (from public to protected)
	* src/org/eclipse/linuxtools/tmf/ui/views/TmfEventsView.java: Removed unnecessary methods

2010-07-12  Francois Chouinard  <fchouinar@gmail.com>

	* icons/add_button.gif: New file.
	* icons/addchild_button.gif: New file.
	* icons/addmany_button.gif: New file.
	* icons/addnext_button.gif: New file.
	* icons/customparser_wizard.gif: New file.
	* icons/delete_button.gif: New file.
	* icons/down_button.gif: New file.
	* icons/element_icon.gif: New file.
	* icons/help_button.gif: New file.
	* icons/line_icon.gif: New file.
	* icons/movedown_button.gif: New file.
	* icons/moveup_button.gif: New file.
	* icons/up_button.gif: New file.
	* src/org/eclipse/linuxtools/tmf/ui/commands/ManageCustomParsersCommandHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/dialogs/ManageCustomParsersDialog.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomEvent.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomEventsTable.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomParserProvider.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTraceDefinition.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtEvent.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtTrace.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtTraceContext.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomTxtTraceDefinition.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlEvent.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlTrace.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlTraceContext.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/custom/CustomXmlTraceDefinition.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserInputWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserOutputWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomTxtParserWizard.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserInputWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserOutputWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/wizards/CustomXmlParserWizard.java: New file.

	* src/org/eclipse/linuxtools/tmf/ui/TmfUiPlugin.java: 
		- Initialized ParserProviderManager
		- Added getImageFromPath() 
	* src/org/eclipse/linuxtools/tmf/ui/editors/ITmfTraceEditor.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/editors/TmfEditor.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/editors/TmfEditorInput.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/editors/TmfEventsEditor.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/editors/TmfMultiPageEditorPart.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/IParserProvider.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/parsers/ParserProviderManager.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/TmfEventsView.java: Use TmfEventsTable instead of Table 
	* src/org/eclipse/linuxtools/tmf/ui/views/project/ProjectView.java: New file. 
	* src/org/eclipse/linuxtools/tmf/ui/views/project/TmfProjectNature.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/AddTraceWizard.java: 
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/AddTraceWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/DialogTraceContentProvider.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/DialogTraceLabelProvider.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/ImportTraceWizard.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/ImportTraceWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/NewExperimentDialog.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/NewProjectMainWizardPage.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/dialogs/NewProjectWizard.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/CloseProjectHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/DeleteExperimentHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/DeleteProjectHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/DeleteTraceHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/ImportTraceHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/NewExperimentHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/NewProjectHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/OpenExperimentHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/OpenProjectHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/OpenTraceHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RefreshHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameExperimentHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameProjectHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/RenameTraceHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectParserContributionItem.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectParserHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/handlers/SelectTracesHandler.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/ITmfProjectTreeNode.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfExperimentFolderNode.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfExperimentNode.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectContentProvider.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectLabelProvider.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectNode.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectRoot.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfTraceFolderNode.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfProjectTreeNode.java: New file.
	* src/org/eclipse/linuxtools/tmf/ui/views/project/model/TmfTraceNode.java: New file.
	* schema/org.eclipse.linuxtools.tmf.ui.parserprovider.exsd: Extension point for parser providers
	* META-INF/MANIFEST.MF: Added plugin.xml in includes
	* build.properties: Added plugin.xml in includes
	* plugin.xml: New file (extensions used by TmfEditor, TmfTable, TmfProject)
	